Package org.apache.sling.testing.serversetup.instance

## Class SlingInstanceState

- java.lang.Object
- - org.apache.sling.testing.serversetup.instance.SlingInstanceState

    public class SlingInstanceState
    extends Object

Information about a sling instance that is shared between tests.

### Field Summary

Fields
`static String` `DEFAULT_INSTANCE_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SlingInstanceState` `getInstance​(String instanceName)`
`JarExecutor` `getJarExecutor()`
`String` `getServerBaseUrl()`
`boolean` `isExtraBundlesInstalled()`
`boolean` `isInstallBundlesFailed()`
`boolean` `isServerInfoLogged()`
`boolean` `isServerReady()`
`boolean` `isServerReadyTestFailed()`
`boolean` `isServerStarted()`
`boolean` `isStartupInfoProvided()`
`void` `setExtraBundlesInstalled​(boolean extraBundlesInstalled)`
`void` `setInstallBundlesFailed​(boolean installBundlesFailed)`
`void` `setJarExecutor​(JarExecutor jarExecutor)`
`void` `setServerBaseUrl​(String serverBaseUrl)`
`void` `setServerInfoLogged​(boolean serverInfoLogged)`
`void` `setServerReady​(boolean serverReady)`
`void` `setServerReadyTestFailed​(boolean serverReadyTestFailed)`
`boolean` `setServerStarted​(boolean serverStarted)`
`void` `setStartupInfoProvided​(boolean startupInfoProvided)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_INSTANCE_NAME

    public static final String DEFAULT_INSTANCE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static SlingInstanceState getInstance​(String instanceName)

#### isServerStarted

    public boolean isServerStarted()

#### setServerStarted

    public boolean setServerStarted​(boolean serverStarted)

#### isServerReady

    public boolean isServerReady()

#### setServerReady

    public void setServerReady​(boolean serverReady)

#### isServerReadyTestFailed

    public boolean isServerReadyTestFailed()

#### setServerReadyTestFailed

    public void setServerReadyTestFailed​(boolean serverReadyTestFailed)

#### isInstallBundlesFailed

    public boolean isInstallBundlesFailed()

#### setInstallBundlesFailed

    public void setInstallBundlesFailed​(boolean installBundlesFailed)

#### isExtraBundlesInstalled

    public boolean isExtraBundlesInstalled()

#### setExtraBundlesInstalled

    public void setExtraBundlesInstalled​(boolean extraBundlesInstalled)

#### isStartupInfoProvided

    public boolean isStartupInfoProvided()

#### setStartupInfoProvided

    public void setStartupInfoProvided​(boolean startupInfoProvided)

#### isServerInfoLogged

    public boolean isServerInfoLogged()

#### setServerInfoLogged

    public void setServerInfoLogged​(boolean serverInfoLogged)

#### getJarExecutor

    public JarExecutor getJarExecutor()

#### setJarExecutor

    public void setJarExecutor​(JarExecutor jarExecutor)

#### getServerBaseUrl

    public String getServerBaseUrl()

#### setServerBaseUrl

    public void setServerBaseUrl​(String serverBaseUrl)